LDFLAGS=-lcaptcha
CFLAGS=-g -Wall

all: example1 example2 example3 example4 example5 example6

example1: example1.c
	$(CC) $(CFLAGS) $< $(LDFLAGS) -o $@

example2: example2.c
	$(CC) $(CFLAGS) $< $(LDFLAGS) -o $@

example3: example3.c
	$(CC) $(CFLAGS) $< $(LDFLAGS) -o $@

example4: example4.c
	$(CC) $(CFLAGS) $< $(LDFLAGS) -o $@

example5: example5.c
	$(CC) $(CFLAGS) $< $(LDFLAGS) -o $@

example6: example6.c
	$(CC) $(CFLAGS) $< $(LDFLAGS) -o $@

.PHONY: clean all

clean:
	rm -f example1
	rm -f example2
	rm -f example3
	rm -f example4
	rm -f example5
	rm -f example6
